Subject: Re: 8272ADS and Linux 2.6.12

From: SIP COP 009 <[email-masked]>
Date: Tue, 19 Jul 2005 10:18:14 -0700

Thanks all for the replies and help. I have the 2.6 Kernel running
now. Here are few of the things that i did to make it happen:

1: make ads8272_defconfig
2: edit .config to add the follow:
CONFIG_SERIAL_CORE=3Dy
CONFIG_SERIAL_CORE_CONSOLE=3Dy
CONFIG_SERIAL_CPM=3Dy
CONFIG_SERIAL_CPM_CONSOLE=3Dy
CONFIG_SERIAL_CPM_SCC1=3Dy
CONFIG_SERIAL_CPM_SCC2=3Dy

3. In u-boot, set the bootargs to
bootargs=3Droot=3D/dev/ram rw console=3DttyCPM0,115200

4.Modify the file arch/ppc/platforms/pq2ads.h,
// #define BCSR_ADDR            ((uint)0xf4500000)
#define BCSR_ADDR ((uint)0xff080000)

Thanks!
ashutosh

On 7/16/05, Mike Rapoport <[email-masked]> wrote:
> SIP COP 009 wrote:
>=20
> >Hello,
> >
> >We have a MPC8272 Eval Board which came with Linux 2.4 and U-boot. We
> >wanted to move to 2.6. I downloaded the latest 2.6.12 sources and
> >compiled the sources for this platform. The kernel is built, have run
> >the mkimage tool, but the kernel wont boot.  It just hangs after
> >decompressing the image.
> >
> >
> >
>=20
> >Any ideas  ? Anything different that needs to be done for 2.6 ? Or any
> >known issues ?
> >
> >
> >
> If you're using the u-boot that came with MPC8272 Eval board it may
> happen that BCSR is mapped differently in u-boot and the kernel 2.6.
> That's what happened when I tried to boot linux 2.6 on MPC8272ADS. Check
> the value of CFG_BCSR in u-boot/include/configs/MPC8260ADS.h and
> BCSR_ADDR in linux/arch/ppc/platforms/pq2ads.h
>=20
> >Thanks!
> >ashutosh
> >
> >
> --
> Sincerely yours,
> Mike
>=20
>